TuningResetException (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.core
Class TuningResetException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.beepcore.beep.core.BEEPException
                        |
                        +--org.beepcore.beep.core.BEEPError
                              |
                              +--org.beepcore.beep.core.StartChannelException
                                    |
                                    +--org.beepcore.beep.core.TuningResetException

All Implemented Interfaces:
  java.io.Serializable

public class TuningResetException
extends StartChannelException

Class TuningResetException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.beepcore.beep.core.BEEPError
`CODE_ACTION_NOT_AUTHORIZED, CODE_AUTHENTICATION_FAILURE, CODE_AUTHENTICATION_INSUFFICIENT, CODE_AUTHENTICATION_REQUIRED, CODE_AUTHENTICATION_REQUIRES_ENCRYPTION, CODE_GENERAL_SYNTAX_ERROR, CODE_PARAMETER_ERROR, CODE_PARAMETER_INVALID, CODE_PARAMETER_NOT_IMPLEMENTED, CODE_REQUESTED_ACTION_ABORTED, CODE_REQUESTED_ACTION_NOT_TAKEN, CODE_REQUESTED_ACTION_NOT_TAKEN2, CODE_SERVICE_NOT_AVAILABLE, CODE_SUCCESS, CODE_TEMPORARY_AUTHENTICATION_FAILURE, CODE_TRANSACTION_FAILED`

Constructor Summary
`TuningResetException(java.lang.String message)` Constructor TuningResetException

Methods inherited from class org.beepcore.beep.core.BEEPError
`convertMessageERRToException, createErrorMessage, createErrorMessage, createErrorMessage, getCode, getDiagnostic, getXMLLang`

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TuningResetException

    public TuningResetException(java.lang.String message)

  Constructor TuningResetException

Parameters:
  `message` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.